Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.vectorspace
Class IMatrixProjector

    java.lang.Object
      infomat.vectorspace.IMatrixProjector

    public class IMatrixProjector

extends java.lang.Object

Constructor Summary
`IMatrixProjector()`

Method Summary
`IMatrix` | `projectAlongColumns(IMatrix m, java.util.HashMap<IObject,java.util.HashMap<IObjectGroup,java.lang.Float>> columnObjectGroupSim, IObjectGrouping columnGrouping)`
`IMatrix` | `projectAlongColumns(IMatrix m, SparseISimilarity columnSimilarity, IObjectGrouping columnGrouping)`
`IMatrix` | `projectOnBestColumnGroups(IMatrix m, SparseISimilarity columnSimilarity, IObjectGrouping columnGrouping)` A very bad idea.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IMatrixProjector

    public IMatrixProjector()

Method Detail

### projectAlongColumns

    public IMatrix projectAlongColumns(IMatrix m,
                                       SparseISimilarity columnSimilarity,
                                       IObjectGrouping columnGrouping)

### projectOnBestColumnGroups

    public IMatrix projectOnBestColumnGroups(IMatrix m,
                                             SparseISimilarity columnSimilarity,
                                             IObjectGrouping columnGrouping)

  A very bad idea.

### projectAlongColumns

    public IMatrix projectAlongColumns(IMatrix m,
                                       java.util.HashMap<IObject,java.util.HashMap<IObjectGroup,java.lang.Float>> columnObjectGroupSim,
                                       IObjectGrouping columnGrouping)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD